Skip to main content
PATCH
Update Alert Rule

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required
alert_id
string<uuid>
required

Body

application/json

Request body for updating an alert rule (all fields optional).

metric
enum<string> | null

Metrics that can be monitored by alert rules.

Available options:
error_rate,
latency_p95,
request_count
operator
enum<string> | null

Comparison operators for alert thresholds.

Available options:
gt,
lt,
gte,
lte
threshold
number | null
window_minutes
integer | null
Required range: 1 <= x <= 1440
webhook_url
string | null
email
string | null
cooldown_minutes
integer | null
Required range: 1 <= x <= 1440
enabled
boolean | null

Response

Successful Response

Response schema for a single alert rule.

id
string<uuid>
required
app_id
string<uuid>
required
metric
enum<string>
required

Metrics that can be monitored by alert rules.

Available options:
error_rate,
latency_p95,
request_count
operator
enum<string>
required

Comparison operators for alert thresholds.

Available options:
gt,
lt,
gte,
lte
threshold
number
required
window_minutes
integer
required
enabled
boolean
required
webhook_url
string | null
required
email
string | null
required
cooldown_minutes
integer
required
last_fired_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required